# Get KYC Reliance Quote GET https://api-gateway-stg.transak.com/api/v2/lookup/quotes# The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote Reference: https://docs.transak.com/api/whitelabel/kyc-reliance/get-kyc-reliance-quote ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/lookup/quotes#: get: operationId: get-kyc-reliance-quote summary: Get KYC Reliance Quote description: >- The **Get Quote** is a **public API call** that allows you to fetch a **temporary price quote** for a cryptocurrency transaction based on the selected **fiat currency, cryptocurrency, payment method, and transaction amount**. Since cryptocurrency prices are **volatile**, the returned quote is refreshed **every minute** to reflect the latest market price. After fetching the **supported cryptocurrencies and fiat currencies**, you must call getQuote to get the latest exchange rate. This quote is **critical** for KYC verification and order placement: **KYC Process:** - The **quote ID** must be passed when calling `Get KYC Requirement` . - Based on the **order amount**, the user may be required to complete different KYC tiers (**Simple KYC, Standard KYC**). **Order Placement:** - The **quote ID** is also required when calling `createOrder()` - At the time of payment settlement, Transak sends the **exact amount of cryptocurrency** based on the latest exchange rate at that moment. Thus, `getQuote` plays a **vital role** in the **entire order flow**, from **KYC verification to order execution**. Additional Postman request: Get KYC Reliance Quote tags: - subpackage_kycReliance parameters: - name: apiKey in: query description: Your API Key from Transak Dashboard required: true schema: type: string default: YOUR_API_KEY - name: fiatCurrency in: query description: >- Supported fiat currency symbol from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: EUR - name: cryptoCurrency in: query description: >- Supported crypto currency symbol from `/cryptocoverage/api/v1/public/crypto-currencies` required: true schema: type: string default: USDC - name: isBuyOrSell in: query description: Value should be 'BUY' required: true schema: type: string default: BUY - name: network in: query description: >- Supported crypto currency network from `/cryptocoverage/api/v1/public/crypto-currencies` required: true schema: type: string default: ethereum - name: paymentMethod in: query description: >- Supported payment method from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: pm_open_banking - name: fiatAmount in: query description: Amount in fiat currency required: true schema: type: number format: double - name: cryptoAmount in: query description: Amount in crypto currency required: true schema: type: number format: double - name: partnerCustomerId in: query description: Unique id for user provided by partner required: false schema: type: string default: '12345' - name: kycShareTokenProvider in: query description: >- Your KYC Shared Token provider. Currently SumSub only supported (The value should be 'SUMSUB') required: false schema: type: string default: SUMSUB - name: kycShareToken in: query description: Your KYC Shared token generated from the SumSub dashboard required: false schema: type: string default: sumsub-share-token-12345 responses: '200': description: 200 - Success content: application/json: schema: $ref: >- #/components/schemas/KYC Reliance_get-kyc-reliance-quote_Response_200 '400': description: 400 - Invalid Payment Method content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-reliance-quoteRequestBadRequestError '401': description: 401 - Unauthorized content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-reliance-quoteRequestUnauthorizedError '500': description: 500 - Internal Server Error content: application/json: schema: $ref: >- #/components/schemas/Get-kyc-reliance-quoteRequestInternalServerError servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems: type: object properties: name: type: string value: type: integer id: type: string required: - name - value - id title: >- ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData: type: object properties: feeBreakdown: type: array items: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaDataFeeBreakdownItems quoteId: type: string conversionPrice: type: number format: double slippage: type: number format: double fiatCurrency: type: string cryptoCurrency: type: string paymentMethod: type: string fiatAmount: type: integer cryptoAmount: type: number format: double isBuyOrSell: type: string network: type: string networkId: type: string feeDecimal: type: number format: double totalFee: type: integer nonce: type: integer required: - feeBreakdown - quoteId - conversionPrice - slippage - fiatCurrency - cryptoCurrency - paymentMethod - fiatAmount - cryptoAmount - isBuyOrSell - network - networkId - feeDecimal - totalFee - nonce title: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData KYC Reliance_get-kyc-reliance-quote_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaData required: - data title: KYC Reliance_get-kyc-reliance-quote_Response_200 ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer name: type: string message: type: string required: - statusCode - name - message title: ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError Get-kyc-reliance-quoteRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-reliance-quoteRequestBadRequestError Get-kyc-reliance-quoteRequestUnauthorizedError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-reliance-quoteRequestUnauthorizedError Get-kyc-reliance-quoteRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2LookupQuotesGetResponsesContentApplicationJsonSchemaError required: - error title: Get-kyc-reliance-quoteRequestInternalServerError ``` ## SDK Code Examples ```python get_quote import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/quotes#" querystring = {"apiKey":"YOUR_API_KEY","fiatCurrency":"EUR","cryptoCurrency":"USDC","isBuyOrSell":"BUY","network":"ethereum","paymentMethod":"pm_open_banking","fiatAmount":"50","cryptoAmount":"55.24","partnerCustomerId":"12345","kycShareTokenProvider":"SUMSUB","kycShareToken":"sumsub-share-token-12345"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript get_quote const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go get_quote package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby get_quote require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java get_quote import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#") .asString(); ``` ```php get_quote request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#'); echo $response->getBody(); ``` ```csharp get_quote using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift get_quote import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python get_kyc_reliance_quote import requests url = "https://api-gateway-stg.transak.com/api/v2/lookup/quotes#" querystring = {"apiKey":"YOUR_API_KEY","fiatCurrency":"EUR","cryptoCurrency":"USDC","isBuyOrSell":"BUY","network":"ethereum","paymentMethod":"pm_open_banking","fiatAmount":"50","cryptoAmount":"55.24","partnerCustomerId":"12345","kycShareTokenProvider":"SUMSUB","kycShareToken":"sumsub-share-token-12345"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript get_kyc_reliance_quote const url = 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go get_kyc_reliance_quote package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby get_kyc_reliance_quote require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java get_kyc_reliance_quote import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#") .asString(); ``` ```php get_kyc_reliance_quote request('GET', 'https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#'); echo $response->getBody(); ``` ```csharp get_kyc_reliance_quote using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift get_kyc_reliance_quote import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/lookup/quotes?apiKey=YOUR_API_KEY&fiatCurrency=EUR&cryptoCurrency=USDC&isBuyOrSell=BUY&network=ethereum&paymentMethod=pm_open_banking&fiatAmount=50&cryptoAmount=55.24&partnerCustomerId=12345&kycShareTokenProvider=SUMSUB&kycShareToken=sumsub-share-token-12345#")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```